Home  |  Message Board  |  Contact Us  |  About Us  |  Fan Pics  |  Fan Polls  |  RSS Feed  |  Top of Thread  |  Login  |  Register
Display By:
Home  |  Message Board  |  Top of Thread  |  Login  |  Register
Display By:

 

Previous Thread   |  Top Of Board  |  Start New Thread  |   Next Thread
pondman Posted on 11/07/2017 17:17
Edited On: 11/07/2017 17:19Trumpwatch- doesn`t look good...
 
...if you`re a member of the Trump family.

Russian-Trump collusion story moves to DEFCON 4 with the publishing of an email by Donald Trump JR, under pressure from the NY Times.

Email states that a Russian lawyer was willing to meet with Trump Jr. to pass on incriminatory information about Clinton during the election run-up. The email confirms the source of the information as the Russian government, and that they were trying to aid Trump Snr in his attempt to become President.

Pretty damning stuff as the net tightens on the Trump family. And they can`t use the "fake news" excuse on this one.

Anyone surprised?








IP: Logged
gjr69 Posted on 11/07/2017 17:25

Trumpwatch- doesn`t look good...
Not really. Trumps idea of fake news is any news or opinion that doesn't match his own.
IP: Logged
Lytham_FY8 Posted on 11/07/2017 23:30

Trumpwatch- doesn`t look good...
I know Americans don't usually do irony, but I do stereotype, so the thought of a gun wildeing pickup driving Trump supporter being manipulated by the Russians while their Commander in Chief seems to be Putin's b1tch is hilarious
IP: Logged
TangerineNige Posted on 12/07/2017 07:11

Trumpwatch- doesn`t look good...
A complete non story.Nothing criminal here the Democrats need to concentrate on Governing instead of trying to find something that does not exist at every turn.What about Clintons sale of Uranium to the Russians,her hacked DNC server and complete Oyston like bluffing to congress including blatent lies.Hillary Clinton should be in Jail for 20yrs plus but the Democrats and their fake news allies just brush over her criminality.
IP: Logged
PoolSupporter Posted on 12/07/2017 07:50

Trumpwatch- doesn`t look good...
Time he was taken out
IP: Logged
vegaspool Posted on 12/07/2017 07:52

Trumpwatch- doesn`t look good...
Non story only for snowflakes.
IP: Logged
pondman Posted on 12/07/2017 07:59

Trumpwatch- doesn`t look good...
It`s not about Clinton, nor the Democrats.

It`s about Trump Jnr. publishing an email that clearly states he had a meeting with a Russian individual who had sensitive information from the Russian government to influence the USA presidential election.

How can that be a non story?

From total denials of meetings with Russians, to collusion in one email...



IP: Logged
hertfordseasider Posted on 12/07/2017 08:55

Trumpwatch- doesn`t look good...
Vegas, he will be history before Christmas, he could even end up in prison. The USA is being looked upon as a joke with him and his entourage in charge.
IP: Logged
Lytham_FY8 Posted on 12/07/2017 09:47
Edited On: 12/07/2017 09:55
Trumpwatch- doesn`t look good...
'Non story only for snowflakes'

Snowflakes? What's that exactly then, someone who ignores any story they don't agree with in case they melt?


IP: Logged
Limechase Posted on 12/07/2017 09:52

Trumpwatch- doesn`t look good...
What surprises me about Trump..


Is that he is still President..


Didn't think he would last a month...


it is quite amusing tho[8D]



if the fate of our species didn't depend on him not having a hissy fit & nuking North korea
IP: Logged
KingBiscuitTime Posted on 12/07/2017 10:04

Trumpwatch- doesn`t look good...
Nige again, knowing that the evidence of collusion is becoming clearer everyday, attempts to reset the button with discredited allegations of Clinton selling Uranium to the Russians. It doesn't take much to debunk it though.

"In 2010, Hillary Clinton, as secretary of state, was one of nine federal agency heads to sign off on Russia’s purchase of a controlling stake in Uranium One, an international mining company headquartered in Canada with operations in several U.S. states. It was part of a regular process for approving international deals involving strategic assets, such as uranium, that could have implications for national security. Uranium One’s U.S. mines produced about 11 percent of the country’s total uranium production in 2014, according to Oilprice.com.

But even with its control of Uranium One, Russia cannot export the material from the United States."

That last part is particularly relevant.
Let's face it. Trump publicly asked for stuff on Clinton from the Russians. His son then sought it out. He's a traitor. Simple as.
As for this snowflake garbage. Another attempt to demean people's genuine concerns. Vegas has consistently told us that the American people are behind "their" president when all the evidence points to the opposite.
IP: Logged
Jaws Posted on 12/07/2017 10:05

Trumpwatch- doesn`t look good...
America's very own Oyston's family! [|)]

Nige, are you actually a real person, or a robotic caricature of Alf Garnett?
IP: Logged
Lytham_FY8 Posted on 12/07/2017 10:05
Edited On: 12/07/2017 10:06
Trumpwatch- doesn`t look good...
'Vegas has consistently told us that the American people are behind "their" president'

I think Vegas means that the Russian people are behind the president.

IP: Logged
bollieboy Posted on 12/07/2017 11:10

Trumpwatch- doesn`t look good...
I think if you look at the polls Trump support is pretty low so that statement of the American people being behind Trump is simply not true.

IP: Logged
ArchibaldKnox Posted on 12/07/2017 13:12
Edited On: 12/07/2017 13:23
Trumpwatch- doesn`t look good...
So The Donald's campaign manager, Manafort, his son-in-law Kushner (now his principal adviser in the White house) and his own son, The Junior Donald all met with a Russian lawyer who they were led to believe had incriminating information on Hillary Clinton directly from the Russian Government... and yet we are led to believe that NONE of them told the Donald about the potential inflammatory information? I don't believe it. Remember, The Donald made a specific request directly to the Russians to release any information they had on HC in one of his stump campaign speeches. It's on the record, so he must have known what he was asking about.

This email trail is the smoking gun. All the three were in on it. I think the Junior Donald has dobbed his colleagues in, and probably his father too, to try and save his own skin. But The Junior Donald has not yet even told us what was discussed in that meeting. He will eventually... in front of a Federal Grand jury.

It might end up in Trump agreeing to resign the Presidency... in return for being able to issue full pardons to his three bad hombres, as he would be entitled to.
IP: Logged
dodgykeeper Posted on 12/07/2017 21:47

Trumpwatch- doesn`t look good...
Not surprised at all. Emails that say not much plus a mountain of Fakestream Media hype to try to continue to shape everyone's opinion.

The invisible relish on the nothingburger. [smi]

Link: FNN, the Fake News Network
IP: Logged
KingBiscuitTime Posted on 12/07/2017 22:43

Trumpwatch- doesn`t look good...
Repeating the word 'fake' everytime someone reports something you don't like does not make it fake.
IP: Logged
pondman Posted on 13/07/2017 07:30
Edited On: 13/07/2017 07:31
Trumpwatch- doesn`t look good...
Nice to see some people on here still clinging to the anti-intellectual argument, and proving the old adage that "it is easier to fool someone, than to convince them that they have been fooled".

Still no legislation getting passed, and the administration mired in controversy of their own making.

Can anyone name a positive of Trump being in power, apart from his daughter having a new boutique in the White House selling her tat...

IP: Logged
TangerineNige Posted on 13/07/2017 07:39

Trumpwatch- doesn`t look good...
No smoking gun. No treason,collusion is not a crime,absolute no story here.
Incidentally, I note the Trump haters here and elswwhere don't answer any questions about Clinton,Comey,Lynch just spout vile untruths about Trump.
IP: Logged
vegaspool Posted on 13/07/2017 08:02

Trumpwatch- doesn`t look good...
Lytham I see, you read I am just going off the people I work with and the guests I meet in my job. The media is controling what you read my friend.
IP: Logged
glasshalffull Posted on 13/07/2017 09:50
Edited On: 13/07/2017 10:42
Trumpwatch- doesn`t look good...
Clearly vegas you have the advantage of having your feet on the ground in the US, and seeing what is going on first hand.
If as you say his support is as strong as ever despite poor approval ratings just why is that?
From here he seems to be achieving nothing, apart from dropping the Paris agreement on Climate Change, looks pretty much totally isolated on the World stage, and appears to be Putin's bitch. America's place in the world is clearly diminished as a result, and other countries are moving to bypass it.
He looks on borrowed time, and totally preoccupied with trying to hassle and intimidate anyone who dares to speak against him.
Obviously we can only see things through some sort of media distortion, or the anecdotes of friends or relatives in the US, but just what are the American people seeing in him to applaud his time as president?
Can only assume they appreciate this time of isolationism and contempt from the rest of the world, and viscous infighting and inertia at home?
IP: Logged
Lytham_FY8 Posted on 13/07/2017 09:59

Trumpwatch- doesn`t look good...
I suppose it depends on what company you keep Vegas.

IP: Logged
vegaspool Posted on 13/07/2017 10:02

Trumpwatch- doesn`t look good...
Lytham I work in the leisure industry.
IP: Logged
BRR2 Posted on 13/07/2017 10:04

Trumpwatch- doesn`t look good...
Thank God Nige has pronounced on this - now I know what to think.....
IP: Logged
MARK_GT Posted on 13/07/2017 10:16

Trumpwatch- doesn`t look good...
It feels to me like the US is noticeably less relevant in the world than it was a few years ago and this dangerous buffoon has speeded the process. Can't see the citizens liking that much, though as we have seen they do tend to be shielded from the real world.
IP: Logged
pondman Posted on 13/07/2017 10:25

Trumpwatch- doesn`t look good...
I see that Trump has just now tweeted decrying Fox News as "fake news".

Says he`s not seen one fox on it.

Boom! Boom!
IP: Logged
Lytham_FY8 Posted on 13/07/2017 10:43

Trumpwatch- doesn`t look good...
'I work in the leisure industry'

Pimp?

IP: Logged
vegaspool Posted on 13/07/2017 10:49

Trumpwatch- doesn`t look good...
You looking for work Lytham [:P]
IP: Logged
glasshalffull Posted on 13/07/2017 10:49

Trumpwatch- doesn`t look good...
[smi]
IP: Logged
Lytham_FY8 Posted on 13/07/2017 10:51

Trumpwatch- doesn`t look good...
Yeah, can't do Sundays though and no car parks [;)]
IP: Logged
Kseasider Posted on 13/07/2017 12:05

Trumpwatch- doesn`t look good...
I agree with Vegas, the people that I come into contact with in NYC tell a very different story then CNN.
IP: Logged
KingBiscuitTime Posted on 13/07/2017 12:19

Trumpwatch- doesn`t look good...
And yet Clinton managed to win 79% of the vote in NYC. Amazing that.
IP: Logged
hertfordseasider Posted on 13/07/2017 12:27

Trumpwatch- doesn`t look good...
Trump has a vocabulary of about a hundred words and "Beautiful" is without doubt his favourite. He sounds like a dumb ass to me! [smi]
IP: Logged
Wizaard Posted on 13/07/2017 13:04

Trumpwatch- doesn`t look good...
Bit like someone having 12 mates who all think Belokon is no different than the Oystons [;)]
IP: Logged
dodgykeeper Posted on 13/07/2017 14:04

Trumpwatch- doesn`t look good...
KBT (12/7 22:43), you're absolutely right, it's the content that makes it fake. [;)]

Ponders, controversy of their OWN making??
Positives include employment, economy, stock market...

GHF & Mark, America's place in the world has massively diminished over the last 8 years but is now picking up thanks to someone trying to make decisions for the good of that country. It would have continued to decline if they had continued with the Paris Accord. Trump offered to negotiate back in with different financial terms but they weren't happy with that because they just wanted the US money, as arranged by Obama.
IP: Logged
pondman Posted on 13/07/2017 14:51

Trumpwatch- doesn`t look good...
"Controversy of their OWN making??"

Of course it was a controversy of their own making.

The Trump team met with a Russian who they thought had incriminatory material provided by the Russian government (in an attempt to influence the US Presidential election, in a way that Russia anticipated would be favourable to themselves).

Who else is to blame, if not the Trump team??



IP: Logged
bollieboy Posted on 13/07/2017 14:58
Edited On: 13/07/2017 15:19
Trumpwatch- doesn`t look good...
Just imagine if it was found that Corbyn's team had agreed to meet with a Russian, who had been presented as a Russian government official, with the promise of dirt on Teresa May as part of the ongoing support from the Russian govenment in helping getting Corbyn in as PM.

Wonder what the reaction would be ?


IP: Logged
Kseasider Posted on 13/07/2017 15:37

Trumpwatch- doesn`t look good...
And British politics is oh so perfect at the moment [:D]

I think you need to worry about your own house, I'm perfectly happy with Trump.
IP: Logged
glasshalffull Posted on 13/07/2017 18:09

Trumpwatch- doesn`t look good...
Well any good things happening in the economy now will have precious little to do with anything Trump has done since January, and the stock market has got excited by this and his proposed big tax cuts for the wealthy, which stand a very good chance of not being passed anyway.
Anyhow I wish you all well over there, and hope it works out OK, and as you say probably a bigger sxxtstorm going on over here at this time.
IP: Logged
TangerineNige Posted on 13/07/2017 21:57

Trumpwatch- doesn`t look good...
Obama's AG Loretta Lynch allowed the Russian lawyer to overstay without a visa.Why?
Loretta Lynch must therefore have committed treason!
IP: Logged
dodgykeeper Posted on 13/07/2017 22:29

Trumpwatch- doesn`t look good...
It was an election campaign. They both tried to big themselves up and belittle the other side. There's not really anything unusual here. The controversy has been created by the media hype.

I notice no one is asking what Hillary might have done wrong, because she is exempt from all criticism whilst Trumpy gets criticised repeatedly for no good reason. Only one of them is a criminal, I'll give you that. [;)]

Other questions are was she a Russian official or not? Did she have incriminatory evidence or not? Did it influence the election or not?

At worst mini Trump was interested in finding some dirt on the opposition. That's it. [DFS]
IP: Logged
TangerineNige Posted on 13/07/2017 22:40

Trumpwatch- doesn`t look good...
It's also now come to pass that this Russian lawyer who was allowed to stay in the USA without a visa by the Obama administration was lobbying members of congress about the adoption of Russian Orphans.What connection was there between these members and Putin.It needs a special counsel to look into all this to see just who has been compromised.Just also remember that when Trump jnr met her the Donald was only a candidate not an elected representative.
IP: Logged
Lytham_FY8 Posted on 13/07/2017 22:41

Trumpwatch- doesn`t look good...
Dodgy, because Clinton isn't the President and the FBI case found nothing, unlike the Trump case that's led to Trump firing it's director in a hissy fit.

IP: Logged
Kseasider Posted on 13/07/2017 23:12

Trumpwatch- doesn`t look good...
Donald Jr, quote, after 20 minutes of meeting this Russian lawyer we realized it was a waste of time and walked out.
IP: Logged
TangerineNige Posted on 14/07/2017 06:10
Edited On: 14/07/2017 06:21
Trumpwatch- doesn`t look good...
Alexandre Chalupa
Debbie Wasserman Schulz
John Podesta
Christopher Steele
Lloreta Lynch
James Comey
All need to be called to Congress to testify about there connection to Russia along with Hillary Clinton.Doesn't look good for the Democrooks does It?

IP: Logged
KingBiscuitTime Posted on 14/07/2017 06:47

Trumpwatch- doesn`t look good...
That's right. It's everybody else who's at fault. [smi]
IP: Logged
TangerineNige Posted on 14/07/2017 07:58

Trumpwatch- doesn`t look good...
KBT Your latest comment makes no sense Are you saying only Trump should be accused?
IP: Logged
KingBiscuitTime Posted on 14/07/2017 08:11

Trumpwatch- doesn`t look good...
Not at all. If they've done something wrong they should be investigated. All I'm saying is that the Trump team continuously try to deflect any criticism. It's the politics of the playground.
Anything Fox or Breitbart report is immediately seen as the truth; anything that CNN,MSNBC,NYT report is automatically fake. It's a very dangerous game he's playing.
As it happens, I don't think he will be impeached but there's no way, imo, he'll get a second term.
IP: Logged
bollieboy Posted on 14/07/2017 08:39

Trumpwatch- doesn`t look good...
Nige - explain what Comey has done wrong.

Once you have done that we will move onto the rest of the list.
IP: Logged
dodgykeeper Posted on 14/07/2017 14:25

Trumpwatch- doesn`t look good...
Lytham, the FBI case found nothing on purpose. If it had wanted to find criminal activity by Hillary it would have easily done so.

Trump fired Comey because he wasn't doing his job running the FBI properly. 9 or 10 months on the non existent Trump Russia collusion thing, then admitting there was no evidence at all in front of congress, then ridiculously claiming he had been sacked because of Trump Russia collusion. [:o)]

Then leaking confidential info to the NYT as a panicked move to get his and Hillary's mate Mueller appointed for a special investigation in to the Trump Russia collusion thing that he swore there was no evidence for. Just to keep the false narrative going so people would hopefully still buy it.

How long do you give it with no evidence before considering that the media might be being controlled by people with an agenda to undermine the President?
IP: Logged
phil007tangerine Posted on 14/07/2017 15:44

Trumpwatch- doesn`t look good...
Need to jump in here, some blatant false statements being made.

dodgykeeper /Nige No collusion with Russia? Here is the definition for you.

noun: collusion

'secret or illegal cooperation or conspiracy in order to deceive others.'

Donald Trump jr actions alone has proved they are guilty of precisely that.

Is it illegal? -yes. For one it breaks the campaign finance law which deals with accepting or conspiring to accept 'value' (not necessarily money, from a foreign power) for the purposes of a campaign.

Is it treason? -yes. Helping a foreign power undermine your own democratic process more than qualifies.

Dodgykeeper -Did you miss the fact that Trump HIMSELF ANNOUNCED why he had fired Comey over the 'Russia thing' on NATIONAL TV!!!

Regardless of how the rest of the FBI investigation is going, the Trump campaign's collusion with Russia is already proved. How far it goes we don't know, but we have Jared Kushner, Manafort and Don jr all at that meeting specifically knowing what that meeting was about.

Regardless if they go out anything from that meeting is irrelevant -the intent is clear. Not that anyone should believe little Donny's BS about a 20 minute meeting anyway -

-He was in Trump Tower all day
-Shortly after Trump first tweeted about Hilarys 33,000 missing emails (how did he get that number)
-Held a press conference talking about 'new' info to be announced on Hilary.
-Made Manafort his campaign manager 10 days later
-Publically invited the Russians to hack shortly thereafter.

The number of those around Trump directly linked to Russia, just grows and grows

Jeff Sessions, Rex Tillerson, Michael Flynn, Carter page, Roger Stone, Paul Manafort...

The Trump have previously admitted to have a lot of their money coming from Russian Banks (Eric Trump) , and that a great proportion of their customers are Russian (Donald Trump Jr)

Meanwhile Donald Trump refuses to release his full tax returns (breaking earlier campaign promise) so we can't follow the money.

Interesting to see from the outside just how many Americans (especially Snr Republicans) are putting party over country, pretty shameful.

Seem far less interested in getting to the truth that perusing their own agendas.

PS -Dodgy the Paris Accord was non-binding (essentially voluntary) -check yourself, Trump lied when he said it was binding. Cost to the US $3 Billion (of which $1 Billion already paid) -Out of a National Budget of over nearly FOUR TRILLION -practically nothing.

Pulling out of that was the height of stupidity on every level. If America's credibility was already dropping rapidly internationally, that move put together with the lies that accompanied it, shot it into a nosedive.

What respect America had was never just based on it's economic or military might but its leadership, truth and values. With those three apparently gone America is becomingly increasingly marginalised and far less influential.



IP: Logged
Lytham_FY8 Posted on 14/07/2017 15:46
Edited On: 14/07/2017 15:48
Trumpwatch- doesn`t look good...
'Lytham, the FBI case found nothing on purpose. If it had wanted to find criminal activity by Hillary it would have easily done so.'

Blimey, that's some (unsubstantiated and fact free) statement!

I reckon they could find some criminal activity on you, see, it's easy this.

IP: Logged
fishnchips Posted on 14/07/2017 15:52

Trumpwatch- doesn`t look good...
Donald's doing a great job though isn't he?

It's like watching a spoof version of the House of Cards
IP: Logged
TangerineNige Posted on 14/07/2017 17:16

Trumpwatch- doesn`t look good...
Phil: Collusion is not a crime nor is it illegal.It is not treason because America is not at war with Russia.Sounds like you've been taken in by CNN whose ratings are now less than Yogi Bear repeats.
IP: Logged
phil007tangerine Posted on 14/07/2017 17:50

Trumpwatch- doesn`t look good...
Nige -your not exactly covering yourself in glory here.
I'll carefully spell it out
#1 Collusion IS a crime and I have specifically pointed out how it applies. It is up to the US authorities if they wish to prosecute.

#2 You don't have to be actively at war with another nation that is an adversary to commit treason. It doesn't even have to be an adversary for that matter (for example if you pass state secrets).

#3 I am UK based so don't even watch CNN!
IP: Logged
KingBiscuitTime Posted on 14/07/2017 17:51

Trumpwatch- doesn`t look good...
America doesn't have to be at war.
The treason charge is complicated. It is something for the expert ethical and constitutional lawyers to address. Collusion with a foreign government to destabilise a countries election process is 'bordering on treason, if not actually' Was Trump Jr's meeting that or was he being an utter amateur? Is it the smoking gun or another example of the administration's incompetence?
These allegations are being driven by the NYT and their readership and subscription levels are doing very nicely.
IP: Logged
pondman Posted on 14/07/2017 18:12
Edited On: 14/07/2017 18:19
Trumpwatch- doesn`t look good...

Nige, as a blind devote of Trump, are you not concerned that no substantive legislative bills have been passed- with health care, tax reforms and the debt ceiling negotiations looming?

Does it not concern you that half of Trumps own team seem to have a gaggle of lawyers defending them against allegations of one thing and another?

Surely even you and dodgy can hear the distant sound of thunder at your picnic on delusional mountain.

Suspect it will be perjury that finally does for the Trumps...

IP: Logged
BRR2 Posted on 14/07/2017 18:17

Trumpwatch- doesn`t look good...
"How long do you give it with no evidence before considering that the media might be being controlled by people with an agenda to undermine the President?"

How gullible must you be to believe that because DT says it is "fake news" means it must be so?
IP: Logged
mexboroseasider Posted on 14/07/2017 19:28

Trumpwatch- doesn`t look good...
Bizarre that Brits are so in awe of a foreign leader.

I thought they were True Patriots?

Nope. It turns out.

They cry into their pillows every night because they weren't born.....A CITIZEN OF THE GOOD OLE US OF A.

However some of us are proud to be Brits. That's British. Not to be confused with Little Englander.
IP: Logged
bollieboy Posted on 14/07/2017 19:33

Trumpwatch- doesn`t look good...
The big one to take him down will probably be money laundering though obstruction of justice, perjury, treason, etc are other possibilities.
IP: Logged
mexboroseasider Posted on 14/07/2017 19:41

Trumpwatch- doesn`t look good...
Well funnily enough it might be Obamacare.

The fact is Republicans absolutely hate it. But it's dawning on the representatives of a lot of Trump supporters that it's actually pretty good for the people who vote for them.

Lose/lose. Rock and hard place. Don't repeal it and you're a light weight who can't deliver. But. Repeal it and lots of our supporters are hacked off with the result. I know it's what they wanted. But it wasn't really.

Bit like Brexit [smi]
IP: Logged
TangerineNige Posted on 14/07/2017 21:29

Trumpwatch- doesn`t look good...
Phil: Don't know where you get your information from but you are just plain wrong.
BRR2: I am afraid you have a long record of being gullible your record regarding support for the Oystons proves that.
I note yet again the crazy left just continue to ignore Comey leaks,Ukrainian links,Unsecured Clinton server,Uranium deals etc.
All this nothing burger is to deflect from the real story Clinton's Russian links.
IP: Logged
mexboroseasider Posted on 14/07/2017 21:58

Trumpwatch- doesn`t look good...
Err Comey.

Bit of an up and downer in Trumpy's World.

Very bad initially - wouldn't spill the beans on Hillary.

Then a hero - because he reopened an investigation.

Then - still a hero - but not sure - hell he's better known than me!!!

Then wtf - he wouldn't be my bestie!!!!

And now he's saying all sorts of things about how my beasties are all Russians!!! Bwah, Bwah, Bwah!!!!!
IP: Logged
pondman Posted on 14/07/2017 22:00
Edited On: 14/07/2017 22:03
Trumpwatch- doesn`t look good...
Nige:

so Phil`s well-researched, detailed and concise summary of events is dismissed out of hand with "Don`t know where you get your information from, but you`re just plain wrong"? Really? Everything?

And BRR2`s opinion is worthless based on your interpretation of events surrounding football politics? Bit subjective and judgemental perhaps. Will his input never be relevant again?


And why do you bang on about the "crazy left", and Comey, Clinton, Ukraine and uranium et al?

This thread is about Trump Jr.`s email. Perhaps you may want to start one about all that if it`s something you want to get off your chest.

So you`ve claimed fake news, been dismissive of someone else`s opinion because of their perceived gullibility, then tried to use misdirection as a defence tactic.

Mmmm, who does that remind me of...?
IP: Logged
dodgykeeper Posted on 14/07/2017 22:03

Trumpwatch- doesn`t look good...
Phil, you make a lot of points but mostly they seem only partly relevant to the situation. Tenuous links are what the media keep on churning out because they don't have anything substantial. Trump said he fired Comey partially because of the Russia thing, not because Trump was guilty (how would that help?) but because Comey was wasting months on it and not giving out the factual information he had, which was that there was no evidence and Trump wasn't under investigation.

Lytham, I reckon they could but if I'd placed the top guy in his role and he was corrupt, I reckon they'd find a way to get me off. [;)]

Being negligent with state secrets is a crime and that is the very best case scenario you could level at Hillary. That would mean no intent, which is far from the truth. Comey broke the email news so he could do it as softly and safely as possible, to control the narrative as they couldn't keep a lid on it. He then said she shouldn't be prosecuted because she didn't mean it. That's what negligence is, nobody ever means it. A fix to pacify the public and push her on to the White House.

BRR, gullibility is the key to this. If it is important to the money men, the general rule is the media will be lying to you about it. It will only work as long as people keep sucking it up.

IP: Logged
four-three-three Posted on 14/07/2017 22:08

Trumpwatch- doesn`t look good...
We're only making plans for Nigel.
We only want whats best for him.
IP: Logged
pondman Posted on 14/07/2017 22:13

Trumpwatch- doesn`t look good...
Nigel just needs a helping hand...
IP: Logged
mexboroseasider Posted on 14/07/2017 22:29

Trumpwatch- doesn`t look good...
Nigel=dodgy?

Just asking.
IP: Logged
phil007tangerine Posted on 14/07/2017 23:00

Trumpwatch- doesn`t look good...
If you can't give facts Nige in rebuttal, then that speaks for itself.

Below is a link to the provable lies Trump has spouted. Have fun.

Dodgy watch the TV interview, read the reports of the Trump/Russian Ambassador and Lavrov meeting which were CONFIRMED by the White House itself (they couldn't lie about it as it on record)- he fired Comey over the Russian investigation.

He tried to replace him with a long list of stooges (they refused to be considered). The new FBI elect Director Chris Wray says the Russian investigation is NOT a witch hunt. Stop being so blinkered, do your own research.

Link: Pants on fire
IP: Logged
KingBiscuitTime Posted on 14/07/2017 23:28

Trumpwatch- doesn`t look good...
Just to point out that while it doesn't attract as many views as Fox and MSNBC. CNN has just posted it's highest viewing figures for Q2 on record. It's,attracting 25-45 year olds in particular.
IP: Logged
LANCASHIRELALA Posted on 14/07/2017 23:33

Trumpwatch- doesn`t look good...
He's dodgy as isn't he. Thing is dissatisfaction and discord left the American electorate really dire options . He will be brought down by some scandal or other if only because his methods are unconventional, not necessarily because he won't deliver on his promises.
Regarding North Korea it's obvious his advisors have reigned him in. I highly doubt he will strike first as it stands.
IP: Logged
mexboroseasider Posted on 14/07/2017 23:41

Trumpwatch- doesn`t look good...
Well domestically he hasn't delivered at all. No Muslim ban. No wall. Obamacare is still there. But all that seems to matter in the U.S. Is the ability to swagger.

Internationally he's a joke. Surrendering the stage to China, Russia (surprise), Germany and France. If the average American could see beyond the end of their street they'd realise they were a laughing stock.

But they can't. So they still think they are the bees knees.

Bit like the UK really.

Embarrassing [|)]

IP: Logged
LANCASHIRELALA Posted on 14/07/2017 23:53
Edited On: 14/07/2017 23:55
Trumpwatch- doesn`t look good...
He's tried to deliver but has been blocked. Two things from that. Firstly I'm not saying I agree with his proposed deliverables so let's clear that up. Secondly the fact he has been unable to deliver show his ineptitude with regard to political processes and legal protocols.
Totally inexperienced with regards to the governing processes.
But,the American public chose to overlook that, much was their desire for change.
I don't live there so I can't comment too much on the rights and wrongs behind their reasoning.
IP: Logged
Old_Laytonian Posted on 14/07/2017 23:55

Trumpwatch- doesn`t look good...
The majority voted for him. Let them pick up the pieces . Whilst we all have a good laugh.
IP: Logged
LANCASHIRELALA Posted on 14/07/2017 23:58

Trumpwatch- doesn`t look good...
That's the top and bottom of it OL. Nothing we can do. It's their democratic process. And I must admit I didn't like it when Obama tried to interfere with ours. As much as I respect him,it wasn't his place and regards America it really isn't ours either.
IP: Logged
KingBiscuitTime Posted on 15/07/2017 01:11

Trumpwatch- doesn`t look good...
Just to point out that he did get a majority of electoral college votes, which is their system, but he actually polled over 2 million less actual ballot votes than Clinton.
Lala. The Republicans also have a majority in the legislative branch, so the blockage comes partially from his own side as well as the judicial branch.
IP: Logged
LANCASHIRELALA Posted on 15/07/2017 02:21
Edited On: 15/07/2017 02:23
Trumpwatch- doesn`t look good...
Biscuit I totally get that but it doesn't change the fact he is the president elect. And elected by the American democratic process. Whether that process fails in the eyes of a different democratic system is largely irrelevant unless they change that system, which they may or may not do and it's how other presidents have been elected, it's their democratic process.
I don't agree with most of Trumps rhetoric, maybe only 20 % Tops.
But it matters not what any of us on this side of the pond think.
Just like our democratic process when scrutinized it may not be ideal.
But if they aren't happy with the process let them change it. B*gger all to do with us really.
What is it we want and really do we have any right to interfere?
I don't think so. We can barely sort ourselves out.
Edit to add, yep and the blockages are also part of that process. Like I said he is or was inept when it came to understanding the legalities of governing.
Big flaw.
IP: Logged
TangerineNige Posted on 15/07/2017 02:30

Trumpwatch- doesn`t look good...
Phil: Still going to call you out on this. A dictionary meaning of a word does not mean the same when used in law.Collusion is not a crime under US law. Being negligent with classified info is.Clinton and Comey guilty as.NYT article is just ridiculous must have been written by a 6th former for this very failing publication same as CNN.The lawyer Trump jnr met was known to the AGOTUS and Obama.Let's have a special counsell to look at it all or are the Democrooks Scared?
IP: Logged
LANCASHIRELALA Posted on 15/07/2017 02:33

Trumpwatch- doesn`t look good...
Let's face it they are all shady as hell.

Anyone expecting a flawless governing body is just wasting thinking time and energy. It doesn't exist.
IP: Logged
pondman Posted on 15/07/2017 09:00

Trumpwatch- doesn`t look good...
"The lawyer Trump Jnr met was known to the AGOTUS and Obama".

Totally irrelevant whether she was known or not.

What is relevant is that Trump Jr. had an advisory email from a trusted source stating that a Russian lawyer had sensitive and incriminatory information directly sourced from the RUSSIAN GOVERNMENT which would help the Trump team in their attempt to win the election.

Therefore the Russian government could be seen to be trying to influence the US Presidential election (for their own gain).

Nothing to do with the media, Democrats, Obama, Comey or Uncle Tom Cobley.

Simple question: should Trump Jr. have had the wit to run it by his campaign lawyer before agreeing to a meeting?

IP: Logged
bollieboy Posted on 15/07/2017 09:36

Trumpwatch- doesn`t look good...
Okay Nige - what classified info has Comey been negligent with.

Fox claimed he had possibly released classified info which the Idiot-in-Chief tweeted - Fox lated discreetly withdrew the allegation when it was proven false.

You listen to the fake news and swallow it whole. Sad.
IP: Logged
TangerineNige Posted on 15/07/2017 09:39

Trumpwatch- doesn`t look good...
Pondman:Obviously with hindsight Trump jnr showed a lack of judgement but nothing criminal. You quote an advisory email just one what about Clinton's 33k deleted emails she wiped clean from an illegal server? There is also no proof of any connection to the Russian Government only in the eyes of the Trump haters.I think you will find collusion is not a crime under the constitution and the bar for treason is far higher.
Simple question:Should all the matters I have alluded to on this thread be looked into or not by a special counsel or only the matters concerning Trump?
IP: Logged
pondman Posted on 15/07/2017 10:04
Edited On: 15/07/2017 10:07
Trumpwatch- doesn`t look good...
Nige:

let me take a machete to your intellectual thicket.

This has NOTHING to do with Clinton, nor the Democrats.

I am NOT a Trump hater, just because I take an interest in US politics.

I have NOT said collusion is a crime under the constitution.

I have NOT said anything criminal has taken place, nor have I claimed anyone has committed treason.

To answer your last sentence. I don`t know enough about Clinton`s deleted emails to pass comment, and as I posted earlier, if you want to discuss all the stuff you raised, I respectfully suggest that you start a new thread on it; this thread is largely about the current email.

So Trump Jr., Kushner and Manafort all showed an amazing lack of political awareness by meeting with a Russian carrying information directly sourced from the Russian government (to further Russian interest in the US). All clearly stated in the email.

Should resignations be tendered for gross ineptitude?

...And hindsight has nothing to do with it. "Russian government" and "incriminatory material on Hillary Clinton" should have sent him scurrying to daddy and the campaign lawyer.


IP: Logged
TangerineNige Posted on 15/07/2017 11:54

Trumpwatch- doesn`t look good...
And if someone from crooked Hillary Clinton's campaign had been offered information about DT they would have took the moral high ground.!!
IP: Logged
pondman Posted on 15/07/2017 12:26
Edited On: 15/07/2017 12:30
Trumpwatch- doesn`t look good...
FFS Nige, its not about the Clintons!

If you`re in court for stealing, you cannot use as your defence "that someone else would have done it in the same situation".

The action was either legally or morally right or wrong.

Do you think Trump Jr., Kushner and Manafort should offer their resignation for gross ineptitude?
IP: Logged
BRR2 Posted on 15/07/2017 12:32

Trumpwatch- doesn`t look good...
ponders

you're wasting your time mate. You might as well talk to the wall.
IP: Logged
TangerineNige Posted on 15/07/2017 12:40

Trumpwatch- doesn`t look good...
Resign for What?
BRR2 Why don't you get the dictionary out and look up some big words to support you opinion I am wrong?
Incidentally,anyone have an opinion on Uranium one,UrAsia or Putins personal gift to Bill Clinton for his Moscow speech.
IP: Logged
pondman Posted on 15/07/2017 12:44
Edited On: 15/07/2017 12:48
Trumpwatch- doesn`t look good...
BRR2:

wise words, pal. Nige makes Terry F***wit look an intellectual giant.

Edit to add:

retiring hurt, looks like you`re wanted at the crease. Good luck!
IP: Logged
TangerineNige Posted on 15/07/2017 13:34

Trumpwatch- doesn`t look good...
Pondlife:Typical unintelligent response from someone who wants to talk about a subject even you have admitted you don't know much about.Suggest you know your brief in future before resulting to the lefties favourite word beginning f.
IP: Logged
phil007tangerine Posted on 15/07/2017 18:13
Edited On: 15/07/2017 18:14
Trumpwatch- doesn`t look good...
This is an intelligent response?


Nige "Phil: Still going to call you out on this. A dictionary meaning of a word does not mean the same when used in law."

That's up there with 'Meet my invisible rabbit friend' -bonkers

Here's another -Nige 'Collusion is not a crime under US law.'

YES it is and in hundreds of different ways -eg's price fixing, conspiracy to murder/defraud etc etc etc. It all depends on HOW you collude as to the specific offence.

As already told you Donny jr broke the law by
breaching campaign finance law (attempting to accept something of value from a foreign power).

He is also guilty of conspiring to attempt to undermine the administration of the democratic election process of America.

There's 2 offences straight off the bat.

If the Clintons are guilt of anything they should be punished too. At worse, as you admit they may be negligent -what the Trumps have/are doing is deliberate.

But seeing as you are clearly rabidly partisan rather than someone who wants the truth, you won't even look at evidence.

Like they say, no-one like to be shown they have been taken for a fool.
IP: Logged
poolcat Posted on 15/07/2017 21:12

Trumpwatch- doesn`t look good...
It's quite laughable to read Dodgy Nige spending hours trying to defend a President who struggles to construct a coherent sentence never mind run a country!
IP: Logged
Don_K_Lasher Posted on 15/07/2017 21:23

Trumpwatch- doesn`t look good...
Keep it up Nige, you've got all these well educated intelligentci jumping through hoops to defend the Trumped up media stories [:D]
IP: Logged
BRR2 Posted on 15/07/2017 22:08

Trumpwatch- doesn`t look good...
"intelligentci ??"
IP: Logged
Don_K_Lasher Posted on 15/07/2017 22:17

Trumpwatch- doesn`t look good...
a?

[cr][cr][cr][:D]
IP: Logged
mexboroseasider Posted on 15/07/2017 22:24

Trumpwatch- doesn`t look good...
Could a trumpeter please highlight just what their hero has delivered for his country. (As opposed to Trump Empires Inc).

Save for a lot of rhetoric and grandstanding.

Something tangible.

Without blaming other people for stopping him doing it.

Thank you.
IP: Logged
dodgykeeper Posted on 15/07/2017 23:18

Trumpwatch- doesn`t look good...
Lala, I like your approach to this thread, you're not joining in the feeding frenzy. [^][smi]

I don't think though that his failure to deliver shows his ineptitude. He'll have top lawyers and advisors doing the necessary with his legislation. It isn't getting the votes because people are playing the man instead of the ball.

Them all being as shady as hell is absolutely right and nothing new but Trump isn't part of the previous establishment. He might end up being shady but they don't control him and that is why he is under the sustained, mostly groundless attack.

Phil, they will confirm meetings and release emails if they don't really have anything to hide. I don't have time to go through all the NYT reported lies but is there anything both accurate and illegal in there? The NYT is run by establishment elite who oppose Trump and they are out to discredit him. It is a biased source and I can't really take it seriously.

I watched the new FBI head answer the witch hunt question and he chose his words very carefully, and didn't actually answer the question asked, but you have interpreted it as if he did. Watch it again and you'll see what I mean. It is easy, and natural, to see what you want without reading the people and situation involved.
IP: Logged
phil007tangerine Posted on 16/07/2017 08:08

Trumpwatch- doesn`t look good...
Dodgy - ' I don't have time to go through all the NYT reported lies '

Name ONE. I have listed hundreds of Trump lies.

Trump lies continually, provable lies, using multiple sources -as you should, to confirm the truth. You and Nige seem obsessed with CNN and the NYT -this is reported around the world!

Dodgy "Phil, they will confirm meetings and release emails if they don't really have anything to hide. "

Assume there is a would missing at the beginning there. Donald Jr LIED on record 3 times about the nature of that meeting. He only released the emails when told they were about to be released by the NYT (he ADMITTED that on Fox News -Sean Hannity interview)

Finally Chris Wray FBI Director elect could not be any clearer.

I think your own bias it what you need to examine -you ignore obvious facts.

Link: Horse's mouth
IP: Logged
KingBiscuitTime Posted on 16/07/2017 08:26

Trumpwatch- doesn`t look good...
Nige. You've had an answer re: Uranium One earlier in the thread. You obviously chose to ignore it.
IP: Logged
Don_K_Lasher Posted on 16/07/2017 09:17

Trumpwatch- doesn`t look good...
So if anybody highlights a positive thing Donald Trumpy has done they are labeled a 'trumpeter'?

I think the term 'feeding frenzy' is correct.
The masses love to hate a bogey man, especially if the media encourages them.

BTW How's that world war going that the AVFTT Clinton fans predicted Trump would cause?
IP: Logged
Don_K_Lasher Posted on 16/07/2017 09:25

Trumpwatch- doesn`t look good...
Boom!

Another Trumpfest gets a ton!

Will we get a ton of tons on the same subject?
IP: Logged
KingBiscuitTime Posted on 16/07/2017 09:28

Trumpwatch- doesn`t look good...
And you've contributed to it....again.[smi]
IP: Logged
mexboroseasider Posted on 16/07/2017 09:29

Trumpwatch- doesn`t look good...
Don. I think you'll find I have copyright on that word. Cheque is perfectly acceptable thank you.

But my post asked the trumpeters to post one postive thing Donny has achieved. But no one has.

I'll help you. The BBC website has a piece on it.

Here to help.
IP: Logged
Don_K_Lasher Posted on 16/07/2017 10:44

Trumpwatch- doesn`t look good...
Who on earth would answer that question on here and be forever labeled a Trump supporter?[:O]

Just because not everyone joins in with the media hype doesn't make them a Trump fan.

Anyhow.
How is that Trump induced World War going?
You know, the one that AVFTT predicted would start in the Arab States where Trump would fail miserablely![8D]
IP: Logged
glasshalffull Posted on 16/07/2017 11:06

Trumpwatch- doesn`t look good...
Probably bang on course Don, tick tock.
IP: Logged
pondman Posted on 16/07/2017 11:09

Trumpwatch- doesn`t look good...
"Who on earth would answer that question on here and be forever labelled a Trump supporter".

Surely we are not myopic enough on this board to casually label someone just because they find a positive or two in a political party`s agenda.


Is critical thinking beyond us?



IP: Logged
mexboroseasider Posted on 16/07/2017 11:10

Trumpwatch- doesn`t look good...
I know what you mean Don. Bunch of hysterical girlies aren't they.

So when is it you leave for your holiday in Syria?
IP: Logged
Don_K_Lasher Posted on 16/07/2017 12:32

Trumpwatch- doesn`t look good...
So one prediction of WWIII, and two evasive answers.

At least GHF is sticking by his guns.

Isn't it odd that since Obama's policy of opposing the Russian backed Assad and ISIS (both sides) at the same tine, ISIS have been retreating and the Caphilate shrinking?

What an incredibly lucky break for AVFTT's favourite warmonger Trump [;)]

IP: Logged
pondman Posted on 16/07/2017 13:02

Trumpwatch- doesn`t look good...
Not evasive at all Donk, I just found it rather a dull comment, and made a small point on a slightly different topic. If that`s ok with you...[8)]


IP: Logged
Don_K_Lasher Posted on 16/07/2017 14:14

Trumpwatch- doesn`t look good...
WWIII
Dull and off topic the fact that the AVFTT Trump opposition party predictions were wrong about his handling of Syria?

Talking of relationships with Russia.
How's Merkel and Obama's plan to annex the Crimea going?
IP: Logged
TangerineNige Posted on 16/07/2017 18:00

Trumpwatch- doesn`t look good...
Phil: Your clearly have no idea what you are talking about.You just keep trotting out the CNN line which their own chief executive has already admitted is an attempt to up failing ratings.
Uranium one,UrAsia,33,000 deleted emails,personal monetary gift from Putin to Bill Clinton etc etc etc and no defence offered just continued hatred of all things Trump.
IP: Logged
pondman Posted on 16/07/2017 18:19
Edited On: 16/07/2017 18:39
Trumpwatch- doesn`t look good...
Probably is a bit dull and off topic as it happens Donk, because it would appear that nobody really wants to talk about it.

WWIII is so passé...[rle]

Not really interested myself because I am not a member of any "AVFTT Opposition Party" nor have I offered an opinion on Trump`s policy in Syria (to the best of my knowledge).**

**However that may change Trumpy stylie, if contradictory evidence comes to light, which may or may not be fake anyway.

In the event of that happening I will deny I ever said what I originally said, and blame it on Hillary Clinton, Obama and the media witch hunt. Nobody will ever notice that.

Bad, so bad, the badliest...[:P]


IP: Logged
glasshalffull Posted on 16/07/2017 19:15
Edited On: 16/07/2017 19:22
Trumpwatch- doesn`t look good...
Don please take a chill pill, or a chill glass. I can't read your posts without imagining you foaming at the mouth, and with steam coming out of your ears at the moment.
I think maybe you have been watching BBC again?

PS I see Donald Trump has just recorded the lowest approval ratings in US history at 36%. Apparently he defended it saying it wasn't bad. It all seems to be going rather well.
IP: Logged
Don_K_Lasher Posted on 16/07/2017 20:38

Trumpwatch- doesn`t look good...
Oh dear, struck a nerve have I?[:O]

Keep it up TNige[^], the AVFTT Trumpypumpyphobes all get a bit Wibbley wobbley at the thought of someone not jumping on the anti Trump bandwagon.[:D][:D]
IP: Logged
glasshalffull Posted on 16/07/2017 20:45

Trumpwatch- doesn`t look good...
It would appear two thirds of Americans feel the same. Shouldn't this be his honeymoon period?
IP: Logged
TerrysChocolateTangerine Posted on 16/07/2017 21:03
Edited On: 16/07/2017 21:06
Trumpwatch- doesn`t look good...
Trumpypumpy [:O].

Trump. Racist, Fascist, Bigot, White Supremacist, Heteronormative, Ignorant, Dangerous, Misoginistic, Ego Maniac, Chauvanistic, Insensitive, Narcisisstic , so all in all you could say I'm not too keen on The Donald.
IP: Logged
phil007tangerine Posted on 16/07/2017 21:07

Trumpwatch- doesn`t look good...
Nige -You act like you are brainwashed with your responses- CNN fault! The Clintons! Liberal media! Infamy!

Couldn't give even ONE example of a NYT lie when challenged.

But here are your answers -
'Uranium one',Deal was approved by NINE US agencies not just the state dept. The Uranium cannot be exported (check these facts for yourself)

33,000 deleted emails, I have thousands of deleted emails so do most people over a period of time (endless junk). So?


personal monetary gift from Putin to Bill Clinton -provide a single shred of proof. More Breitbart BS

PS For the second time -we are in the UK! We don't get CNN.

Clearly I have facts -you have only endless bluster (much like Trump).
IP: Logged
pondman Posted on 16/07/2017 21:17

Trumpwatch- doesn`t look good...
Terry, think you missed out... Islamaphobic, grandiloquent, self-grandising, petty, vengeful and bellend.[:D]
IP: Logged
TangerineNige Posted on 16/07/2017 21:18

Trumpwatch- doesn`t look good...
Phil 'I have an interest in American Politics' you are clearly out of your depth here so stop digging because you sound like a CNN correspondent.Stop pretending you don't watch CNN because it is available on Satellite and Internet and you have swallowed there fake news bs 100%.
IP: Logged
Don_K_Lasher Posted on 16/07/2017 21:24

Trumpwatch- doesn`t look good...
AVFTT's Trumpypumpyphobic !! [cr][cr][:D]
IP: Logged
KingBiscuitTime Posted on 16/07/2017 21:37

Trumpwatch- doesn`t look good...
Phil. I wouldn't bother now that we know Nige is an expert on Us politics. [rle]
Btw: the Uraniumone deal was explained to him earlier.
IP: Logged
pondman Posted on 16/07/2017 22:02

Trumpwatch- doesn`t look good...
Er... Nige, I think you`ll find, if you check your facts, that Phil didn`t claim to "have an interest in US politics".

You attributed it to him falsely, just like your idol does.

Fake News, fake news. Prove he said it. 100% wrong, and out of your depth. Apologise to Phil for making it up!![:P][:D]
IP: Logged
phil007tangerine Posted on 16/07/2017 22:29

Trumpwatch- doesn`t look good...
Out of my depth lol.

I give endless facts you just offer more endless waffle. CNN again[rle][rle]
You must scream at your tv a lot. Keep in your safe place -Fox News.

OR, you could be an adult and simply check facts independently. We live in hope.


IP: Logged
TangerineNige Posted on 16/07/2017 22:37

Trumpwatch- doesn`t look good...
Phil:You have offered no facts only your opinion and opinions of a fake news publication.You ignore all criticism of the Democrats who have been up to their necks in it since Chappaquiddick and Ted Kennedys quid pro quo involving the USSR.Clinton deletes 33k emails and you home in on one email which was not even sent to candidate Trump.Talk about double standards.
IP: Logged
Catinstalbans Posted on 16/07/2017 22:47

Trumpwatch- doesn`t look good...
Trump managed to lie 3 times in a single tweet. That takes some doing.
IP: Logged
dodgykeeper Posted on 16/07/2017 22:52

Trumpwatch- doesn`t look good...
Phil, you misunderstood my first sentence, I meant the link you provided. I looked at it briefly and the piece seemed quite childish, long and trivial, so I was asking if there was anything important in there. If Trump is as stupid and unable to put a sentence together as everyone thinks, maybe he just forgets stuff, eh? Anything impeachable?

No 'would' missing, I was just speaking generally. Did he lie about the meetings or just give further info when asked further questions?

Have you watched the Wray link again? I stand by what I said above on that.

If the Trump campaign has been in collusion with Russia, why did he take this meeting? Why not just go through the usual channels of collusion and get the info straight from the Russian Government?

It all boils down to a mountain out of a molehill, the same thing that has been happening for months. Still very few question why he is under such a relentless attack.

Ponders 'is critical thinking beyond us?'. Don't tempt me [;)][:D]

IP: Logged
pondman Posted on 16/07/2017 22:56
Edited On: 16/07/2017 23:10
Trumpwatch- doesn`t look good...
Nige, what about your fake news? Are you going to acknowledge you were out of your depth and got it wrong? Phil didn't say it did he? Can you not bring yourself to admit you peddled fake news?[:P]
IP: Logged
phil007tangerine Posted on 16/07/2017 23:03

Trumpwatch- doesn`t look good...
Well that hope had the lifespan of a mayfly.

'Phil:You have offered no facts only your opinion and opinions of a fake news publication.You ignore all criticism of the Democrats'

From a psychologist's viewpoint you could make a great case study.

Your reply was the exact opposite of reality. I have given only facts and haven't cited any publication as a source (saved for the NYT long list of Trump lies, which have been multiple sourced -as I say you try to disprove ONE of them, or any NYT article).

The criticism of the democrats weren't ignored but DIRECTLY addressed POINT by POINT..

YET>>bizarrely that doesn't even register.

Very curious.

I will agree with you on one thing -Chappaquiddick , a horrendous injustice. Kennedy should have served heavy time for manslaughter.
IP: Logged
TangerineNige Posted on 17/07/2017 06:05

Trumpwatch- doesn`t look good...
I think you would be off the cliff for a case study.
Your analysis of the 33k emails is beyond bizarre,you say you haven't cited any publications except the NYT which is a Democratic Party publication in all but name and give your opinion as fact on the few points you have attempted to defend.
Your obvious hatred of all things Trump really should get you an appointment with a shrink as you obviously have joined the ranks of the crackpots from the DNC.
IP: Logged
bollieboy Posted on 17/07/2017 09:27

Trumpwatch- doesn`t look good...
Brilliant Nige - you are an absolute delight to read.
IP: Logged
Previous Thread  |  Start New Thread  |  Top Of Board  |  Top Of Thread  |  Next Thread



Home  |Message Board  |  Top of Board  |  Login  |  Register


Copyright © 2008 to 2017 Fansonline.net Ltd

FansOnline.net Ltd
Unit 7
Brentnall Center
Gilkes Street
Middlesbrough
Cleveland
TS1 5AP
Fansonline Home | About Fansonline | Contact Fansonline | Advertise On Fansonline | Privacy Policy | TOS
10.0.166.213